Commits

Hideya OHASHI committed 98ac73d

fix

Comments (0)

Files changed (3)

 $ hg serve -d
 
 = Computer A
+$ cat >.hg/hgrc
+[paths]
+default = http://computerb.local:8000/
+^D
+$ mkdir MyBox
+$ cp /bin/ls MyBox
+$ bin/update MyBox
 $ bin/updater
 
 = Computer B
-$ mkdir MyBox
-$ cp /bin/ls MyBox
-$ bin/update MyBox
+$ cat >.hg/hgrc
+[paths]
+default = http://computera.local:8000/
+^D
+$ bin/updater
   INFOHASH=`aria2c -S $1.torrent | grep '^Info Hash:' | cut -d ' ' -f 3`
   mv -f $1.torrent $INFOHASH.torrent
   hg ci -m update
+  exit
 fi
 rm -f AllTorrents
 touch AllTorrents
 #!/bin/sh
 while true; do
   hg pull -u
-  bin/update
+  if ! [ -f MagnetLinks ]; then
+    bin/update
+  fi
   sleep 1
 done